/**
 *    Copyright 2006 - 2011 Opera Software ASA
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 **/


window.cls || (window.cls = {});

/**
  * @constructor 
  * @extends ViewBase
  */

cls.CSSInspectorCompStyleView = function(id, name, container_class)
{
  var self = this;

  // TODO set unfold key on show and hide view

  this.createView = function(container)
  {
    container.innerHTML ='';
    var styles = container.render(['category', ['styles']]).firstElementChild;
    var data = elementStyle.get_computed_style();
    var search_active = elementStyle.getSearchActive();
    if (data)
    {
      // stylesheets.prettyPrintCat call will also ensure 
      // that all style sheets for the given runtime and the index map
      // will be avaible, that means the call will not return any data 
      // before this datas are avaible
      styles.innerHTML = stylesheets.prettyPrintCompStyle(data, arguments, search_active);
      styles.setAttribute('rt-id', data.rt_id);
    }
  }
  this.init(id, name, container_class);
}
